## connectomeviewer 2.1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ConnectomeMappingToolkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ConnectomeMappingToolkit.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/source/Makefile ===
# Makefile for Sphinx documentation
#

WWW=neuroimaging@neuroimaging.scipy.org:www

# You can set these variables from the command line.
SPHINXOPTS    = #-q # suppress all output but warnings
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean pdf all dist public_html web web_public htmlonly api html pickle htmlhelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      	make HTML and API documents"
	@echo "  htmlonly  	make HTML documents only"
	@echo "  api       	make API documents only"
	@echo "  latex     	make LaTeX documents (you can set\
					PAPER=a4 or PAPER=letter)"
	@echo "  all		make HTML, API and PDF documents"
	@echo "  clean		remove all generated documents"
	@echo "  web		make full HTML website locally here:\
					www/build/html/index.html"
	@echo
	@echo "  linkcheck 	check all external links for integrity"
	@echo "  doctest   	run doctests in reST files"
	@echo "  pdf		make <latex> and run the PDF generation"
	@echo "  dist		make <all> and put results in dist/"
	@echo "  public_html	make <dist> and rsync with public website"
	@echo "  web_public	make <public_html> for both doc and www\
					directories."

# Commented these out, wasn't clear if we'd use these targets or not.
# @echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
# @echo "  htmlhelp  to make HTML files and a HTML help project"
# @echo "  changes   to make an overview over all changed/added/deprecated items"

clean:
	-rm -rf build/* dist/* *~ api/generated
	-rm -f manual

pdf: latex
	cd build/latex && make all-pdf

all: html pdf

dist: clean all
	mkdir -p dist
	ln build/latex/nipy*.pdf dist/
	cp -al build/html dist/
	@echo "Build finished.  Final docs are in dist/"

public_html: dist
	rsync -avH --delete dist/ $(WWW)/doc/manual/

web: html
	cd www && make html
	@echo "Build web finished."

web_public: public_html
	cd www && make public_html

htmlonly:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

api:
	python ../tools/build_modref_templates.py
	@echo "Build API docs finished."

html: htmlonly
	-ln -s build manual
	@echo "Build HTML and API finished."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web build/pickle"
	@echo "to start the sphinx-web server."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	mkdir -p build/doctest build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo
	@echo "The overview file is in build/doctest."

## connectomeviewer 2.0.0

=== debian/changelog ===
connectomeviewer (2.0.0-1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 06 Jun 2011 18:06:10 -0400

connectomeviewer (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #565431).

 -- Stephan Gerhard <debian@unidesign.ch>  Thu, 6 Jun 2011 21:30:57 +0200

=== debian/control ===
Source: connectomeviewer
Section: python
Priority: extra
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Stephan Gerhard <debian@unidesign.ch>
Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.6), python-support,
			   python-numpy (>= 1.3.0), python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.connectomeviewer.org
Vcs-Git: git://github.com/LTS5/connectomeviewer.git
Vcs-Browser: http://github.com/LTS5/connectomeviewer

Package: connectomeviewer
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends},
        python-cfflib (>= 2.0.5),
        python-networkx (>= 1.4),
        python-nibabel,
        python-numpy (>= 1.3.0),
        python-scipy,
        python-chaco,
        mayavi2,
        ipython
Recommends: python-nipype,
        python-dipy,
        python-matplotlib,
        python-qscintilla2,
Suggests: nipy-suite
Description: Interactive Analysis and Visualization for MR Connectomics
 The Connectome Viewer is a extensible, scriptable, pythonic research
 environment for visualization and (network) analysis in neuroimaging
 and connectomics.
 .
 Employing the Connectome File Format, diverse data types such as
 networks, surfaces, volumes, tracks and metadata are handled and
 integrated. The Connectome Viewer is part of the MR Connectome Toolkit.

## connectomeviewer 2.1.0

=== debian/changelog ===
connectomeviewer (2.1.0-1) unstable; urgency=low

  * Namespace transition for Enthought Packages
    - added python-traits (>= 4) into Build-Depends to not build
      for older platforms
  * Flexible direct data loading for various neuroimaging data types
  * Adjusted debian/copyright to match DEP-5 1.0

 -- Stephan Gerhard <debian@unidesign.ch>  Thu, 2 Oct 2011 21:30:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: connectomeviewer
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Stephan Gerhard <debian@unidesign.ch>
+Maintainer: Stephan Gerhard <debian@unidesign.ch>
 Build-Depends: debhelper (>= 7.2.18), python-all (>= 2.6), python-support,
-			   python-numpy (>= 1.3.0), python-setuptools
+			   python-numpy (>= 1.3.0), python-setuptools, python-traits (>= 4)
 Standards-Version: 3.9.2
 Homepage: http://www.connectomeviewer.org
 Vcs-Git: git://github.com/LTS5/connectomeviewer.git
@@ -12,14 +11,14 @@
 
 Package: connectomeviewer
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${misc:Depends},
         python-cfflib (>= 2.0.5),
         python-networkx (>= 1.4),
         python-nibabel,
         python-numpy (>= 1.3.0),
         python-scipy,
         python-chaco,
-        mayavi2,
+        mayavi2 (>= 4.0.0),
         ipython
 Recommends: python-nipype,
         python-dipy,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf doc/build

=== debian/watch ===
version=3

opts="filenamemangle=s/.*\/(.*)/connectomeviewer-$1\.tar\.gz/" \
  http://github.com/LTS5/connectomeviewer/downloads .*tarball/release-([\d\.a-z]+)

## connectomeviewer 2.1.0+dfsg

=== debian/changelog ===
connectomeviewer (2.1.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Inject into Neurodebian team
  * Drop ancient X-Python-Version field
  * debhelper 10
  * Standards-Version: 4.3.0
  * Testsuite: autopkgtest-pkg-python
  * Secure URI in copyright format
  * Remove jquery.js from source tarball
  * Remove debian/gbp.conf

 -- Andreas Tille <tille@debian.org>  Mon, 14 Jan 2019 11:13:23 +0100

connectomeviewer (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh_python2 (Closes: #785986).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Sep 2015 18:29:30 +0200

=== debian/control ===
Source: connectomeviewer
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Stephan Gerhard <debian@unidesign.ch>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 10),
               python-all,
               dh-python,
               python-numpy,
               python-setuptools,
               python-traits
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/neurodebian-team/connectomeviewer
Vcs-Git: https://salsa.debian.org/neurodebian-team/connectomeviewer.git
Homepage: http://www.connectomeviewer.org

Package: connectomeviewer
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-cfflib,
         python-networkx,
         python-nibabel,
         python-numpy,
         python-scipy,
         python-chaco,
         mayavi2,
         ipython
Recommends: python-nipype,
            python-dipy,
            python-matplotlib,
            python-qscintilla2
Suggests: nipy-suite
Description: Interactive Analysis and Visualization for MR Connectomics
 The Connectome Viewer is a extensible, scriptable, pythonic research
 environment for visualization and (network) analysis in neuroimaging
 and connectomics.
 .
 Employing the Connectome File Format, diverse data types such as
 networks, surfaces, volumes, tracks and metadata are handled and
 integrated. The Connectome Viewer is part of the MR Connectome Toolkit.

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://github.com/LTS5/connectomeviewer/releases .*/archive/release-@ANY_VERSION@@ARCHIVE_EXT@
